## kvirc 5.2.4

=== CMakeLists.txt ===
###############################################################################
## KVIrc CMake global configuration file.
###############################################################################
##
## Conventions for variables:
##
##    WANT_*           : Switches that enable/disable features
##                       Example: WANT_KDE (KDE usage)
##
##    CMAKE_STATUS_*   : Text variables used to display the final configuration
##                       at the end of the CMake script run. Their format is
##                       not fixed therefore they should be not relied upon
##                       inside this script (i.e. don't check their value).
##                       Example: CMAKE_STATUS_X11_SUPPORT (can be "Yes", "No",
##                       "Yes, with scrnsaveproto" or whatever "Blah").
##
##    CMAKE_RESULT_*   : Contain a result of a CMake script computation
##                       in a fixed format (of any type). Used only inside
##                       the CMake script.
##                       Example: CMAKE_RESULT_USING_KDE either true or false
##
##    COMPILE_*        : Variables that end up in kvi_sysconfig.h and are
##                       visible in code (usually #defined to 1 or undefined)
##                       Example: COMPILE_IPV6_SUPPORT (set to 1 or unset)
##
##    CMAKE_KVIRC_*    : Variables that end up in kvi_sysconfig.h or
##                       kvi_sysbuildinfo.h as KVIRC_* and are usually textual
##                       Example: CMAKE_KVIRC_MODULES_DIR (a textual path)
##
###############################################################################

###############################################################################
# GLOBAL DEFS
###############################################################################

# Minimum CMake version
cmake_minimum_required(VERSION 3.16)

# Name of the project
project(kvirc)

# Check modules first in local dir
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

# Some vars
set(PACKAGE "kvirc")
set(NICENAME "KVIrc")
set(VERSION_MAJOR "5")
set(VERSION_BRANCH "5.2")
set(VERSION_RELEASE "5.2.4")
set(VERSION_CODENAME "Quasar")

string(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})
string(REGEX MATCH "[0-9]+$" VERSION_MICRO ${VERSION_RELEASE})

set(CMAKE_KVIRC_VERSION_MAJOR ${VERSION_MAJOR})
set(CMAKE_KVIRC_VERSION_MINOR ${VERSION_MINOR})
set(CMAKE_KVIRC_VERSION_MICRO ${VERSION_MICRO})
set(CMAKE_KVIRC_VERSION_BRANCH ${VERSION_BRANCH})
set(CMAKE_KVIRC_VERSION_RELEASE ${VERSION_RELEASE})
set(CMAKE_KVIRC_VERSION_CODENAME ${VERSION_CODENAME})
set(CMAKE_KVIRC_BUILD_COMMAND ${CMAKE_COMMAND})
set(CMAKE_KVIRC_BUILD_FLAGS)
set(CMAKE_KVIRC_BUILD_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
set(CMAKE_KVIRC_BUILD_CPU ${CMAKE_SYSTEM_PROCESSOR})
set(CMAKE_KVIRC_BUILD_COMPILER ${CMAKE_CXX_COMPILER})
set(CMAKE_KVIRC_BUILD_COMPILER_FLAGS ${CMAKE_CXX_FLAGS})

# Suffix for GNU/Linux
set(LIB_SUFFIX
	CACHE STRING "Define suffix of directory name (32/64)"
)

# Get revision number from Git
set(MANUAL_REVISION
	CACHE STRING "Manually set the revision number"
)

string(COMPARE EQUAL "${MANUAL_REVISION}" "" MANUAL_REVISION_UNSET)
if(MANUAL_REVISION_UNSET)
	# No manually forced revision number, gotta guess one now
	if(EXISTS "${CMAKE_SOURCE_DIR}/.gitrevision")
		# We're in a release package created using makedist.sh, so we should include a .gitrevision file
		file(READ "${CMAKE_SOURCE_DIR}/.gitrevision" DISTGITREVISION)
		string(STRIP "${DISTGITREVISION}" CMAKE_KVIRC_BUILD_REVISION)
		message(STATUS "Current revision is ${CMAKE_KVIRC_BUILD_REVISION} (from .gitrevision)")
	elseif(EXISTS "${CMAKE_SOURCE_DIR}/.git")
		find_package(Git)
		if(GIT_FOUND)
			message(STATUS "Found Git ${GIT_VERSION_STRING}")
			execute_process(
				COMMAND ${GIT_EXECUTABLE} describe "--dirty" "--always" "--tags"
				WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
				RESULT_VARIABLE res_var
				OUTPUT_VARIABLE GIT_COMMIT_ID
			)
			execute_process(
				COMMAND ${GIT_EXECUTABLE} show -s --format=%cd --date=short
				WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
				RESULT_VARIABLE res_date
				OUTPUT_VARIABLE GIT_COMMIT_DATE
			)
			if(${res_var} EQUAL 0)
				string(REPLACE "\n" "" GIT_COMMIT_ID "${GIT_COMMIT_ID}")
				set(CMAKE_KVIRC_BUILD_REVISION ${GIT_COMMIT_ID})
				message(STATUS "Current revision is ${CMAKE_KVIRC_BUILD_REVISION}")
			else()
				message( STATUS "Git failed (not a repo, or no tags). Build will not contain Git revision info." )
			endif()
			if(${res_date} EQUAL 0)
				string(REPLACE "\n" "" GIT_COMMIT_DATE "${GIT_COMMIT_DATE}")
				string(REPLACE "-" "" GIT_COMMIT_DATE "${GIT_COMMIT_DATE}")
				set(KVIRC_SOURCES_GOT_DATE_FROM_GIT 1)
				set(CMAKE_KVIRC_SOURCES_DATE ${GIT_COMMIT_DATE})
				set(CMAKE_KVIRC_SOURCES_DATE_HEX 0x${GIT_COMMIT_DATE})
				message(STATUS "Using sources date from ${CMAKE_KVIRC_SOURCES_DATE}")
			else()
				message(STATUS "Git failed (not a repo, or no tags). Build will not contain Git date info.")
			endif()
		else()
			message( STATUS "Git not found. Build will not contain Git revision info." )
		endif()
	else()
		message( STATUS "Missing .git directory. Build will not contain Git revision info." )
	endif()
else()
	# Manually forced revision number
	set(CMAKE_KVIRC_BUILD_REVISION ${MANUAL_REVISION})
	set(CMAKE_KVIRC_SOURCES_DATE ${MANUAL_SOURCES_DATE})
	set(CMAKE_KVIRC_SOURCES_DATE_HEX 0x${MANUAL_SOURCES_DATE})
	message(STATUS "Current revision has been manually set to ${MANUAL_REVISION}")
endif()

# Set man dir
set(MANDIR
	CACHE STRING "Define man directory starting from $CMAKE_INSTALL_PREFIX"
)

string(COMPARE EQUAL "${MANDIR}" "" MANDIR_UNSET)
if(MANDIR_UNSET)
	set(MANDIR_PREFIX "share/man")
else()
	set(MANDIR_PREFIX "man")
endif()
list(APPEND CMAKE_KVIRC_BUILD_FLAGS MANDIR=${MANDIR_PREFIX})

# Get the build date
string(TIMESTAMP CMAKE_KVIRC_BUILD_DATE "%Y-%m-%d %H:%M:%S UTC" UTC)

# Set var to link with, for later use
set(LIBS)
set(ADDITIONAL_LINK_FLAGS)

# Install path
if(UNIX)
	if(APPLE)
		# macOS
		# Due to the special bundle structure ignore
		# the prefix eventually set by the user.
		set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/KVIrc.app)
	else()
		# Linux / BSD
		if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
			#fix package build
			if(PREFIX)
				set(CMAKE_INSTALL_PREFIX ${PREFIX})
			else()
				set(CMAKE_INSTALL_PREFIX /usr/local)
			endif()
		endif()
	endif()
elseif(WIN32)
	set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/release)
endif()
list(APPEND CMAKE_KVIRC_BUILD_FLAGS CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX})

###############################################################################
# Release type
###############################################################################

option(WANT_ENV_FLAGS "Don't try to set CMAKE_C(XX)_FLAGS; instead, use the ones from environment variables" OFF)

option(WANT_DEBUG "Compile debug symbols" OFF)
if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo OR DEBUG OR WITH_DEBUG)
	set(WANT_DEBUG ON CACHE BOOL "Compile debug symbols" FORCE)
	set(COMPILE_DEBUG_MODE 1)
endif()

option(WANT_STRIP "Strip binaries (discard symbols from object files)" OFF)
set(WANT_SANITIZER OFF CACHE STRING "Enable debug sanitizers (requires WANT_DEBUG)")
set_property(CACHE WANT_SANITIZER PROPERTY STRINGS OFF ADDRESS MEMORY THREAD)

if(WANT_ENV_FLAGS)
	set(CMAKE_BUILD_TYPE Undefined)
	set(CMAKE_STATUS_DEBUG_SUPPORT "Environment-driven")
else()
	if(MSVC)
		# Qt has /Zc:wchar_t
		set(CMAKE_CXX_FLAGS "/MP /Zc:wchar_t /EHsc /utf-8")
		set(CMAKE_C_FLAGS "/MP /Zc:wchar_t /EHsc /utf-8")
	endif()
	if(WANT_DEBUG)
		set(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
		set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		set(CMAKE_STATUS_DEBUG_SUPPORT "Yes")
		if(CMAKE_COMPILER_IS_GNUCXX)
			# force gdb format of debug symbols - the release-specific
			# variable is used, as CMake concatenates CMAKE_CXX_FLAGS with
			# CMAKE_CXX_FLAGS_DEBUG before finalizing. This results in the
			# default DEBUG flag of '-g' being appended, and therefore
			# overriding what you specify here
			set(CMAKE_CXX_FLAGS_DEBUG "-ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			set(CMAKE_C_FLAGS_DEBUG "-ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			include(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" CXX_HAS_VH_FLAG)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			if(NOT MINGW)
				if(CXX_HAS_VH_FLAG)
					set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
					set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
				endif()
				if(CXX_HAS_VIH_FLAG)
					set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
					set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				endif()
			endif()
		else()
			if(MSVC)
				# this is the equivalent of -O0 -g according to MSDN
				set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Od /Zi /W3")
				set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /Od /Zi /W3")
			else()
				set(CMAKE_CXX_FLAGS "-O0 -g")
				set(CMAKE_C_FLAGS "-O0 -g")
			endif()
		endif()
		string(TOUPPER "${WANT_SANITIZER}" WANT_SANITIZER )
		if(WANT_SANITIZER STREQUAL ADDRESS)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined -fsanitize=address -fno-omit-frame-pointer")
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined -fsanitize=address -fno-omit-frame-pointer")
			set(CMAKE_STATUS_DEBUG_SUPPORT "Yes, with address,leak and undefined behavior sanitizers")
		elseif(WANT_SANITIZER STREQUAL MEMORY)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory -fPIE -pie -fno-omit-frame-pointer")
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=memory -fPIE -pie -fno-omit-frame-pointer")
			set(CMAKE_STATUS_DEBUG_SUPPORT "Yes, with memory sanitizer")
		elseif(WANT_SANITIZER STREQUAL THREAD)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=thread -fno-omit-frame-pointer")
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=thread -fno-omit-frame-pointer")
			set(CMAKE_STATUS_DEBUG_SUPPORT "Yes, with thread sanitizer")
		elseif(NOT WANT_SANITIZER STREQUAL OFF)
			message(FATAL_ERROR "Invalid sanitizer ${WANT_SANITIZER}. Available sanitizers: address, memory, thread")
		endif()
	else()
		if(WANT_STRIP)
			find_program(STRIP_EXECUTABLE NAMES strip)
			if(STRIP_EXECUTABLE)
				set(CMAKE_STATUS_DEBUG_SUPPORT "No (Stripped)")
				set(CMAKE_BUILD_TYPE Release-stripped CACHE STRING "Choose the type of build, options are: None, Debug, Release, RelWithDebInfo and MinSizeRel." FORCE)
			else()
				set(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
				set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None, Debug, Release, RelWithDebInfo and MinSizeRel." FORCE)
			endif()
		else()
			set(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
			set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		endif()
		if(CMAKE_COMPILER_IS_GNUCXX)
			set(CMAKE_CXX_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			set(CMAKE_C_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			include(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			if(CXX_HAS_VIH_FLAG AND NOT MINGW)
				set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
			endif()
		else()
			if(MSVC)

=== debian/changelog ===
kvirc (4:5.2.4-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/watch.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 11 May 2024 18:07:33 +0500

kvirc (4:5.2.2+dfsg-2) unstable; urgency=medium

  * Fix Wayland integration.
  * Move doxygen and graphviz to Build-Depends-Indep and annotate them with
    !nodoc.
  * Switch to B-D: dh-sequence-kf5.
  * Remove obsolete override_dh_missing.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 02 Apr 2024 22:48:30 +0500

kvirc (4:5.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Merge libkvilib5 and kvirc-modules back into the main subpackage.
  * Update build-depends for the new upstream version and to list more
    required packages explicitly.
  * Bump Standards-Version to 4.6.2.
  * Remove explicit --as-needed.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 17 Mar 2024 22:55:24 +0500

=== debian/control ===
Source: kvirc
Build-Depends:
 cmake (>= 3.16.0),
 debhelper-compat (= 13),
 dh-sequence-kf5,
 extra-cmake-modules,
 libenchant-2-dev,
 libkf5coreaddons-dev,
 libkf5i18n-dev,
 libkf5kio-dev,
 libkf5notifications-dev,
 libkf5parts-dev,
 libkf5service-dev,
 libkf5windowsystem-dev,
 libkf5xmlgui-dev,
 libperl-dev,
 libphonon4qt5-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libssl-dev,
 libx11-dev,
 libxrender-dev,
 libxss-dev,
 pkgconf,
 python3-dev,
 qtbase5-dev,
 qtmultimedia5-dev,
 qtwebengine5-dev,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen <!nodoc>,
 graphviz <!nodoc>,
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
 Kai Wasserbäch <curan@debian.org>,
 Mark Purcell <msp@debian.org>,
 Andrey Rakhmatullin <wrar@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kvirc.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kvirc
Homepage: https://www.kvirc.net/
Rules-Requires-Root: no

Package: kvirc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kvirc-data (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libkvilib5 (<< 4:5.2.2-1~), kvirc-modules (<< 4:5.2.2-1~)
Replaces: libkvilib5 (<< 4:5.2.2-1~), kvirc-modules (<< 4:5.2.2-1~)
Multi-Arch: no
Description: KDE-based next generation IRC client with module support
 A highly configurable graphical IRC client with an MDI interface,
 built-in scripting language, support for IRC DCC, drag & drop file
 browsing, and much more. KVIrc uses the KDE widget set, can be extended
 using its own scripting language, integrates with KDE, and supports
 custom plugins.
 .
 If you're looking for a simple and plain IRC client, KVIrc is probably the
 wrong choice as it is rather big. But if you want a highly customizable client
 you won't regret the installation.

Package: libkvilib5
Architecture: any
Section: oldlibs
Depends: kvirc (>= 4:5.2.2-1~), ${misc:Depends}
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: kvirc-modules
Architecture: any
Section: oldlibs
Depends: kvirc (>= 4:5.2.2-1~), ${misc:Depends}
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: kvirc-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kvirc (>= ${source:Version})
Multi-Arch: foreign
Description: Data files for KVIrc
 This package contains the architecture-independent data needed by KVIrc in
 order to run, such as icons and images, language files, and shell scripts.
 It also contains complete reference guides on scripting and functions
 within KVIrc in its internal help format.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# We don't install all files upstream wants to. Those files get added to
# the following variable which gives us a cleaner buildd output (idea taken
# from the mesa package).
NOT_INSTALLED := \
				usr/lib/$(DEB_HOST_MULTIARCH)/libkvilib.so \
				usr/bin/kvirc-config \
				usr/share/kvirc/5.2/license/LICENSE-OPENSSL \
				usr/share/kvirc/5.2/license/COPYING \
				usr/share/kvirc/5.2/license/ABOUT-LICENSE \
				usr/share/pixmaps/kvirc.png

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
			-DCMAKE_BUILD_TYPE=RelWithDebInfo \
			-DWANT_COEXISTENCE=OFF \
			-DWANT_ESD=OFF -DWANT_OSS=OFF \
			-DWANT_STRIP=OFF \
			-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
			-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_install:
	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
	dh_install

.PHONY: override_dh_auto_configure override_dh_install

## kvirc 5.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 set(NICENAME "KVIrc")
 set(VERSION_MAJOR "5")
 set(VERSION_BRANCH "5.2")
-set(VERSION_RELEASE "5.2.4")
+set(VERSION_RELEASE "5.2.6")
 set(VERSION_CODENAME "Quasar")
 
 string(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})

=== data/resources_win32/CMakeLists.txt ===
# CMakeLists for data/resources_win32

if(WIN32)
  install(FILES qt.conf DESTINATION "${KVIRC_BIN_PATH}")
endif()

=== data/deftheme/I_O-Dark-2.1.9/CMakeLists.txt ===
# CMakeLists for data/deftheme/I_O-Dark-2.1.9

file(GLOB images "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
file(GLOB themefiles "${CMAKE_CURRENT_SOURCE_DIR}/*.kvc")
list(APPEND files ${images} ${themefiles})

if(UNIX)
	if(APPLE)
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/themes/I_O-Dark-2.1.9/)
	else()
		# Assume Linux
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/themes/I_O-Dark-2.1.9/)
	endif()
elseif(WIN32)
	install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/themes/I_O-Dark-2.1.9/)
endif()

=== po/modules/theme/CMakeLists.txt ===
# CMakeLists for po/modules/theme

file(GLOB pofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.po")
file(GLOB mofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.mo")

set(POTFILE theme.pot)
set(XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/theme)

# Install target
include(${CMAKE_SOURCE_DIR}/cmake/translation.rules.txt)

=== src/modules/channelsjoin/CMakeLists.txt ===
# CMakeLists for src/modules/channelsjoin

set(kvichannelsjoin_SRCS
	libkvichannelsjoin.cpp
	ChannelsJoinDialog.cpp
)

set(kvi_module_name kvichannelsjoin)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/dcc/CMakeLists.txt ===
# CMakeLists for src/modules/dcc

set(kvidcc_SRCS
	DccVoiceAdpcmCodec.cpp
	DccBroker.cpp
	DccCanvasWindow.cpp
	canvaswidget.cpp
	DccChatWindow.cpp
	DccVoiceCodec.cpp
	DccDescriptor.cpp
	DccDialog.cpp
	DccVoiceGsmCodec.cpp
	libkvidcc.cpp
	DccMarshal.cpp
	requests.cpp
	DccFileTransfer.cpp
	DccThread.cpp
	DccUtils.cpp
	DccVoiceWindow.cpp
	DccWindow.cpp
)

if(NOT COMPILE_DISABLE_DCC_VIDEO)
        list(APPEND kvidcc_SRCS
                DccVideoWindow.cpp
        )
endif()

set(files
	kvi_dccfiletransfericons.png
)

set(kvi_module_name kvidcc)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

if(UNIX)
	if(APPLE)
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/pics/)
	else()
		# Assume linux
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/pics/)
	endif()
elseif(WIN32)
	install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/pics/)
endif()

=== src/modules/dialog/CMakeLists.txt ===
# CMakeLists for src/modules/dialog

set(kvidialog_SRCS
	libkvidialog.cpp
)

set(kvi_module_name kvidialog)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/list/CMakeLists.txt ===
# CMakeLists for src/modules/list

set(kvilist_SRCS
	libkvilist.cpp
	ListWindow.cpp
)

set(kvi_module_name kvilist)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/mask/CMakeLists.txt ===
# CMakeLists for src/modules/mask

set(kvimask_SRCS
	libkvimask.cpp
)

set(kvi_module_name kvimask)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/python/CMakeLists.txt ===
# CMakeLists for src/modules/python

set(kvipython_SRCS
	libkvipython.cpp
)

set(kvi_module_name kvipython)

include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/texticons/CMakeLists.txt ===
# CMakeLists for src/modules/texticons

set(kvitexticons_SRCS
	libkvitexticons.cpp
)

set(kvi_module_name kvitexticons)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/trayicon/CMakeLists.txt ===
# CMakeLists for src/modules/trayicon

set(kvitrayicon_SRCS
	libkvitrayicon.cpp
)

set(imageFiles
	kvi_dock_normal_16-0.png
	kvi_dock_normal_16-1.png
	kvi_dock_normal_16-2.png
	kvi_dock_normal_48-0.png
	kvi_dock_normal_48-1.png
	kvi_dock_normal_48-2.png
	kvi_dock_dark_48-0.png
	kvi_dock_dark_48-1.png
	kvi_dock_dark_48-2.png
	kvi_dock_light_48-0.png
	kvi_dock_light_48-1.png
	kvi_dock_light_48-2.png
)

file(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.png")

set(kvi_module_name kvitrayicon)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

if(UNIX)
	if(APPLE)
		install(FILES ${imageFiles} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/pics/)
	else()
		install(FILES ${imageFiles} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/pics/)
	endif()
elseif(WIN32)
	install(FILES ${imageFiles} DESTINATION ${CMAKE_INSTALL_PREFIX}/pics/)
endif()

=== debian/changelog ===
kvirc (4:5.2.6-2) unstable; urgency=medium

  * Switch to Qt6 and KF6.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 30 Nov 2024 00:54:41 +0500

kvirc (4:5.2.6-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 12 Oct 2024 18:27:05 +0500

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,30 @@
 Build-Depends:
  cmake (>= 3.16.0),
  debhelper-compat (= 13),
- dh-sequence-kf5,
+ dh-sequence-kf6,
  extra-cmake-modules,
  libenchant-2-dev,
- libkf5coreaddons-dev,
- libkf5i18n-dev,
- libkf5kio-dev,
- libkf5notifications-dev,
- libkf5parts-dev,
- libkf5service-dev,
- libkf5windowsystem-dev,
- libkf5xmlgui-dev,
+ libkf6coreaddons-dev,
+ libkf6i18n-dev,
+ libkf6kio-dev,
+ libkf6notifications-dev,
+ libkf6parts-dev,
+ libkf6service-dev,
+ libkf6statusnotifieritem-dev,
+ libkf6windowsystem-dev,
+ libkf6xmlgui-dev,
  libperl-dev,
- libphonon4qt5-dev,
- libqt5svg5-dev,
- libqt5x11extras5-dev,
+ libphonon4qt6-dev,
  libssl-dev,
  libx11-dev,
  libxrender-dev,
- libxss-dev,
  pkgconf,
  python3-dev,
- qtbase5-dev,
- qtmultimedia5-dev,
- qtwebengine5-dev,
+ qt6-5compat-dev,
+ qt6-base-dev,
+ qt6-multimedia-dev,
+ qt6-svg-dev,
+ qt6-webengine-dev,
  zlib1g-dev,
 Build-Depends-Indep:
  doxygen <!nodoc>,
@@ -37,7 +37,7 @@
  Kai Wasserbäch <curan@debian.org>,
  Mark Purcell <msp@debian.org>,
  Andrey Rakhmatullin <wrar@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kvirc.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kvirc
 Homepage: https://www.kvirc.net/

=== debian/watch ===
version=4
https://github.com/kvirc/KVIrc/tags \
/kvirc/KVIrc/archive/refs/tags/([\d\.]+)\.tar\.gz

## kvirc 5.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 set(NICENAME "KVIrc")
 set(VERSION_MAJOR "5")
 set(VERSION_BRANCH "5.2")
-set(VERSION_RELEASE "5.2.6")
+set(VERSION_RELEASE "5.2.8")
 set(VERSION_CODENAME "Quasar")
 
 string(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})

=== doc/CMakeLists.txt ===
# CMakeLists for doc/

set(license
	ABOUT-LICENSE
	LICENSE-OPENSSL
	../COPYING
)
if(WIN32)
	list(APPEND license LICENSE-AMIP)
endif()

# User documentation
if(WANT_PERL_DOCS AND PERL_FOUND)

	# The userdocs target is in the normal build process and rebuilds the documentation
	# only when the revision number changes. This is useful for Git users and package users.

	# The docs target is standalone and explicitly builds the documentation (useful for developers)

	if(DEFINED CMAKE_KVIRC_BUILD_REVISION)
		set(USERDOCS_VERSION "${VERSION_RELEASE}.${CMAKE_KVIRC_BUILD_REVISION}")
	else()
		set(USERDOCS_VERSION "${VERSION_RELEASE}")
	endif()

	set(USERDOCS_OUTPUT_FILE "${CMAKE_CURRENT_BINARY_DIR}/help/en/documentation.${USERDOCS_VERSION}.tag")

	add_custom_target(userdocs ALL)
	add_custom_target(userdocs-en DEPENDS ${USERDOCS_OUTPUT_FILE})
	add_dependencies(userdocs userdocs-en)

	if(UNIX)
		add_custom_command(
			OUTPUT ${USERDOCS_OUTPUT_FILE}
			COMMENT "Generating user documentation..."
			COMMAND ${PERL_EXECUTABLE} ${PROJECT_SOURCE_DIR}/admin/gendoc.pl --css ${PROJECT_SOURCE_DIR}/admin/doc.css -v ${USERDOCS_VERSION} '${CMAKE_CURRENT_BINARY_DIR}/help/en/' ${PROJECT_SOURCE_DIR}/data/doctemplates/ ${PROJECT_SOURCE_DIR}/src/
		)
		if(APPLE)
			install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/help/ DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/help)
		else()
			# Assume linux
			install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/help/ DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/help)
		endif()
		add_custom_target(
			docs
			COMMENT "Generating user documentation..."
			COMMAND ${PERL_EXECUTABLE} ${PROJECT_SOURCE_DIR}/admin/gendoc.pl --css ${PROJECT_SOURCE_DIR}/admin/doc.css -v ${USERDOCS_VERSION} '${CMAKE_CURRENT_BINARY_DIR}/help/en/' ${PROJECT_SOURCE_DIR}/data/doctemplates/ ${PROJECT_SOURCE_DIR}/src/
		)
	elseif(WIN32)
		add_custom_command(
			OUTPUT ${USERDOCS_OUTPUT_FILE}
			COMMENT "Generating user documentation..."
			COMMAND ${PERL_EXECUTABLE} ${PROJECT_SOURCE_DIR}/admin/gendoc.pl --css ${PROJECT_SOURCE_DIR}/admin/doc.css -v ${USERDOCS_VERSION} ${CMAKE_CURRENT_BINARY_DIR}/help/en/ ${PROJECT_SOURCE_DIR}/data/doctemplates/ ${PROJECT_SOURCE_DIR}/src/
		)
		install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/help/ DESTINATION ${CMAKE_INSTALL_PREFIX}/help)
		add_custom_target(
			docs
			COMMENT "Generating user documentation..."
			COMMAND ${PERL_EXECUTABLE} ${PROJECT_SOURCE_DIR}/admin/gendoc.pl --css ${PROJECT_SOURCE_DIR}/admin/doc.css -v ${USERDOCS_VERSION} ${CMAKE_CURRENT_BINARY_DIR}/help/en/ ${PROJECT_SOURCE_DIR}/data/doctemplates/ ${PROJECT_SOURCE_DIR}/src/
		)
	endif()

endif()

# Install target
if(UNIX)
	if(APPLE)
		install(FILES ${license} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/license)
	else()
		# Assume linux
		install(FILES ${license} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/license/)
	endif()
elseif(WIN32)
	install(FILES ${license} DESTINATION ${CMAKE_INSTALL_PREFIX}/license/)
endif()

=== po/CMakeLists.txt ===
# CMakeLists for po/

# Find subdirs
subdirs(core modules)

=== scripts/CMakeLists.txt ===
# CMakeLists for scripts/

# Find subdirs
subdirs(config)

=== src/CMakeLists.txt ===
# CMakeLists for src/

# Find subdirs
subdirs(kvilib kvirc modules)

=== data/applnk/CMakeLists.txt ===
# CMakeLists for data/applnk

configure_file(
	${CMAKE_SOURCE_DIR}/cmake/net.kvirc.KVIrc.desktop.cmake
	${CMAKE_CURRENT_BINARY_DIR}/net.kvirc.KVIrc${CMAKE_KVIRC_VERSION_MAJOR}.desktop
)

if(UNIX)
	if(APPLE)
		install(
			FILES
				${CMAKE_CURRENT_BINARY_DIR}/net.kvirc.KVIrc${CMAKE_KVIRC_VERSION_MAJOR}.desktop
			DESTINATION
				${CMAKE_INSTALL_PREFIX}/Contents/Resources/applnk/
		)
	else()
		# Assume linux
		install(
			FILES
				${CMAKE_CURRENT_BINARY_DIR}/net.kvirc.KVIrc${CMAKE_KVIRC_VERSION_MAJOR}.desktop
			DESTINATION
				${CMAKE_INSTALL_PREFIX}/share/applications/
		)
	endif()
endif()

=== data/config/CMakeLists.txt ===
# CMakeLists for data/config

file(GLOB files "*.kvc")

if(UNIX)
	if(APPLE)
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/config/)
	else()
		# Assume linux
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/config/)
	endif()
elseif(WIN32)
	install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/config/)
endif()

=== data/deftheme/CMakeLists.txt ===
# CMakeLists for data/deftheme

# Find subdirs
subdirs(MinimalDark-2.0.0 Aria-2.0.0 I_O-Black-2.1.9 I_O-Dark-2.1.9 I_O-Light-2.1.9)

=== data/icons/CMakeLists.txt ===
# CMakeLists for data/icons

subdirs(16x16 32x32 48x48 64x64 128x128 scalable)

=== data/man/CMakeLists.txt ===
# CMakeLists for data/man

file(GLOB MANS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.1")

if(UNIX)
	if(APPLE)
		# does macosx use manpages?
	else()
		# Assume linux
		foreach(MAN ${MANS})
			# Grep the language code
			set(LANGCODE ${MAN})
			string(REPLACE "kvirc." "" LANGCODE ${LANGCODE})
			string(REPLACE ".1" "" LANGCODE ${LANGCODE})

			# If the man is in English, it uses the root directory
			string(COMPARE EQUAL ${LANGCODE} "en" STREQUAL)
			if(${STREQUAL})
				install(FILES ${MAN} DESTINATION ${CMAKE_INSTALL_PREFIX}/${MANDIR_PREFIX}/man1/ RENAME "kvirc.1")
			else()
				install(FILES ${MAN} DESTINATION ${CMAKE_INSTALL_PREFIX}/${MANDIR_PREFIX}/${LANGCODE}/man1/ RENAME "kvirc.1")
			endif()
		endforeach()
	endif()
endif()

=== data/msgcolors/CMakeLists.txt ===
# CMakeLists for data/msgcolors

file(GLOB files "*.msgclr")

if(UNIX)
	if(APPLE)
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/msgcolors/)
	else()
		# Assume linux
		install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/msgcolors/)
	endif()
elseif(WIN32)
	install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/msgcolors/)
endif()

=== data/protocols/CMakeLists.txt ===
if(KDE4_FOUND)
	install(FILES _irc.protocol DESTINATION ${SERVICES_INSTALL_DIR})
	install(FILES _irc6.protocol DESTINATION ${SERVICES_INSTALL_DIR})
endif(KDE4_FOUND)

=== debian/changelog ===
kvirc (4:5.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Drop Rules-Requires-Root and Priority.
  * Bump Standards-Version to 4.7.2.
  * Add debian/upstream/metadata.
  * Drop debian/watch in favor of debian/upstream/metadata.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 13 Sep 2025 14:24:56 +0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: kvirc
 Build-Depends:
- cmake (>= 3.16.0),
+ cmake,
  debhelper-compat (= 13),
  dh-sequence-kf6,
  extra-cmake-modules,
@@ -31,17 +31,15 @@
  doxygen <!nodoc>,
  graphviz <!nodoc>,
 Section: net
-Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
  Kai Wasserbäch <curan@debian.org>,
  Mark Purcell <msp@debian.org>,
  Andrey Rakhmatullin <wrar@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kvirc.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kvirc
 Homepage: https://www.kvirc.net/
-Rules-Requires-Root: no
 
 Package: kvirc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_auto_configure -- \
 			-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 			-DWANT_COEXISTENCE=OFF \
-			-DWANT_ESD=OFF -DWANT_OSS=OFF \
+			-DWANT_OSS=OFF \
 			-DWANT_STRIP=OFF \
 			-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 			-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

## kvirc 5.2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 set(NICENAME "KVIrc")
 set(VERSION_MAJOR "5")
 set(VERSION_BRANCH "5.2")
-set(VERSION_RELEASE "5.2.8")
+set(VERSION_RELEASE "5.2.10")
 set(VERSION_CODENAME "Quasar")
 
 string(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})

=== debian/changelog ===
kvirc (4:5.2.10-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:35:45 +0000

kvirc (4:5.2.10-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 20 Dec 2025 16:39:55 +0500

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
  doxygen <!nodoc>,
  graphviz <!nodoc>,
 Section: net
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
  Kai Wasserbäch <curan@debian.org>,
  Mark Purcell <msp@debian.org>,
